Loading...
Searching...
No Matches
ldapDriver Class Reference

## Public Member Functions

| __construct ($config)
| getAllUsers ($attributes)
| getAllGroups ($attributes)
| requestUser ( $filter, $attributes, $username, $passwd)

## Public Attributes

| $connect

## Detailed Description

@subpackage authentication/drivers

Author
  Maxime Delorme mdelo.nosp@m.rme@.nosp@m.tenna.nosp@m.xia..nosp@m.net, Andrew McMillan andre.nosp@m.w@mc.nosp@m.milla.nosp@m.n.ne.nosp@m.t.nz

Copyright
  Maxime Delorme @license http://gnu.org/copyleft/gpl.html GNU GPL v2 or later Plugin to authenticate and sync with LDAP

Definition at line 19 of file drivers_ldap.php.

## Constructor & Destructor Documentation

## __construct()

ldapDriver::__construct | ( |  | $config | ) |

#- Initializes the LDAP connection

Parameters

  array | $config | The configuration data

Definition at line 38 of file drivers_ldap.php.

## Member Function Documentation

## getAllGroups()

ldapDriver::getAllGroups | ( |  | $attributes | ) |

Retrieve all groups from the LDAP directory

Definition at line 212 of file drivers_ldap.php.

## getAllUsers()

ldapDriver::getAllUsers | ( |  | $attributes | ) |

Retrieve all users from the LDAP directory

Definition at line 164 of file drivers_ldap.php.

## requestUser()

ldapDriver::requestUser | ( |  | $filter,
|  |  | $attributes,
|  |  | $username,
|  |  | $passwd )

Actually look up a user in the LDAP directory (this is the LDAP part of LDAP_check() below)

Parameters

  string | $filter | The filter used to search entries
  array | $attributes | Attributes to be returned
  string | $username | username to check
  string | $passwd | password to check

Returns
  array Contains selected attributes from all entries corresponding to the given filter

Definition at line 251 of file drivers_ldap.php.

## Member Data Documentation

## $connect

ldapDriver::$connect

#+ @access private Holds the LDAP connection parameters

Definition at line 28 of file drivers_ldap.php.

The documentation for this class was generated from the following file:

- inc/drivers_ldap.php